Package fr.gouv.vitam.ihmdemo.appserver

# Class WebPreservationResource

java.lang.Object
fr.gouv.vitam.ihmdemo.appserver.WebPreservationResource

@Path("/v1/api") @ApplicationPath("webresources") public class WebPreservationResource extends Object
WebPreservationResource class

- ## Method Summary

  Modifier and Type
  Method
  Description
  `jakarta.ws.rs.core.Response`
  `getGriffinById(jakarta.servlet.http.HttpServletRequest request, String id)`
  `jakarta.ws.rs.core.Response`
  `getPreservationGriffins(jakarta.servlet.http.HttpServletRequest request, String select)`
  `jakarta.ws.rs.core.Response`
  `getPreservationScenarioById(jakarta.servlet.http.HttpServletRequest request, String id)`
  `jakarta.ws.rs.core.Response`
  `getPreservationScenarios(jakarta.servlet.http.HttpServletRequest request, String select)`
  `jakarta.ws.rs.core.Response`
  `launchPreservation(jakarta.servlet.http.HttpServletRequest request, String preservationString)`
  `jakarta.ws.rs.core.Response`
  `uploadGriffins(jakarta.servlet.http.HttpServletRequest request, InputStream input)`
  `jakarta.ws.rs.core.Response`
  `uploadPreservationScenario(jakarta.servlet.http.HttpServletRequest request, InputStream input)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### launchPreservation

    @POST @Path("/preservation") @Produces("application/json") @RequiresPermissions("preservation:update") public jakarta.ws.rs.core.Response launchPreservation(@Context jakarta.servlet.http.HttpServletRequest request, String preservationString)

  - ### getPreservationScenarios

    @POST @Path("/preservationScenarios") @Produces("application/json") @RequiresPermissions("preservationScenarios:read") public jakarta.ws.rs.core.Response getPreservationScenarios(@Context jakarta.servlet.http.HttpServletRequest request, String select)

  - ### getPreservationGriffins

    @POST @Path("/griffins") @Produces("application/json") @RequiresPermissions("griffins:read") public jakarta.ws.rs.core.Response getPreservationGriffins(@Context jakarta.servlet.http.HttpServletRequest request, String select)

  - ### uploadGriffins

    @POST @Path("/griffins") @Consumes("application/octet-stream") @Produces("application/json") @RequiresPermissions("griffins:create") public jakarta.ws.rs.core.Response uploadGriffins(@Context jakarta.servlet.http.HttpServletRequest request, InputStream input)

  - ### uploadPreservationScenario

    @POST @Path("/scenarios") @Consumes("application/octet-stream") @Produces("application/json") @RequiresPermissions("preservationScenarios:create") public jakarta.ws.rs.core.Response uploadPreservationScenario(@Context jakarta.servlet.http.HttpServletRequest request, InputStream input)

  - ### getGriffinById

    @GET @Path("griffin/{id}") @Produces("application/json") @Consumes("application/json") @RequiresPermissions("griffin:read") public jakarta.ws.rs.core.Response getGriffinById(@Context jakarta.servlet.http.HttpServletRequest request, @PathParam("id") String id)

  - ### getPreservationScenarioById

    @GET @Path("scenario/{id}") @Produces("application/json") @Consumes("application/json") @RequiresPermissions("preservationScenario:read") public jakarta.ws.rs.core.Response getPreservationScenarioById(@Context jakarta.servlet.http.HttpServletRequest request, @PathParam("id") String id)